Summary:	Maildrop mail filter/mail delivery agent
Name:		maildrop
Version:	3.0.0
Release:	%mkrel 3
License:	GPLv3
Group:		System/Servers
URL:		http://www.courier-mta.org/maildrop/
Source0:	https://sourceforge.net/projects/courier/files/maildrop/%{version}/maildrop-%{version}.tar.bz2
Source1:	https://sourceforge.net/projects/courier/files/maildrop/%{version}/maildrop-%{version}.tar.bz2.sig
# S1, S2 & P0 originates from:
# http://www.firstpr.com.au/web-mail/Maildrop-mods-filtering/
Source2:	subjadd.c
Source3:	my.mailfilter.txt.bz2
Source4:	README.DELTAG.html.bz2
Patch0:		maildrop-2.9.2-DELTAG.diff
Patch1:		maildrop-3.0.0-libidn2.patch
BuildRequires:	gdbm-devel
BuildRequires:	pam-devel
BuildRequires:	courier-authlib-devel
BuildRequires:	courier-unicode-devel
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libidn2)
Requires:	courier-authdaemon
Obsoletes:	maildrop-mysql <= 1.7.0-27.mga2
Obsoletes:	maildrop-openldap <= 1.7.0-27.mga2

%description
Maildrop is a combination mail filter/mail delivery agent.
Maildrop reads the message to be delivered to your mailbox,
optionally reads instructions from a file how filter incoming
mail, then based on these instructions may deliver mail to an
alternate mailbox, or forward it, instead of dropping the
message into your mailbox.

Maildrop uses a structured, real, meta-programming language in
order to define filtering instructions.  Its basic features are
fast and efficient.  At sites which carry a light load, the
more advanced, CPU-demanding, features can be used to build
very sophisticated mail filters.  Maildrop deployments have
been reported at sites that support as many as 30,000
mailboxes.

Maildrop mailing list:
http://lists.sourceforge.net/lists/listinfo/courier-maildrop

This version is compiled with support for GDBM database files,
maildir enhancements (folders+quotas), and courier authlib
support.

%package	devel
Summary:	Development tools for handling E-mail messages
Group:		Development/C

%description	devel
The maildrop-devel package contains the libraries and header files
that can be useful in developing software that works with or processes
E-mail messages.

Install the maildrop-devel package if you want to develop applications
which use or process E-mail messages.

%prep
%setup -q
%autopatch -p1

install -Dpm644 %{_sourcedir}/subjadd.c subjadd.c
bzcat %{_sourcedir}/my.mailfilter.txt.bz2 > my.mailfilter.txt
bzcat %{_sourcedir}/README.DELTAG.html.bz2 > README.DELTAG.html

%build
autoreconf -vfi
autoreconf -vfi libs/numlib/

export MAILBOT="%{_bindir}/mailbot"
export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"

# configure and make the standard maildrop
%configure --disable-shared --with-devel \
    --with-etcdir=%{_sysconfdir}/maildrop \
    --with-db=gdbm --enable-maildirquota --with-trashquota \
    --enable-restrict-trusted=0 --enable-maildrop-uid=root --enable-maildrop-gid=mail \
    --enable-sendmail=%{_sbindir}/sendmail --enable-tempdir=.tmp --enable-smallmsg=8192 \
    --enable-global-timeout=300 --enable-keep-fromline=1 --enable-syslog=1 --with-dirsync \
    --disable-authlib \
    --enable-trusted-users="root mail daemon postfix postmaster uucp qmaild sendmail mmdf vpopmail" \
    --with-default-maildrop="./Maildir"
%make_build

# make the addon
gcc %{optflags} -o subjadd subjadd.c

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

install -d %{buildroot}%{_sysconfdir}/maildrop/maildroprcs

# install the extras
install -m755 subjadd %{buildroot}%{_bindir}/

install -m644 libs/maildir/quotawarnmsg %{buildroot}%{_sysconfdir}/maildrop/quotawarnmsg

cat > %{buildroot}%{_sysconfdir}/maildrop/autoresponsesquota <<EOF
#100000000S,10000C
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildirfilterconfig <<EOF
MAILDIRFILTER=../.mailfilter
MAILDIR=./Maildir
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildirshared <<EOF
#
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildroprc <<EOF
#logfile "/var/log/maildrop.log"
EOF

# fix html docs for proper docs inclusion
rm -rf html
mv %{buildroot}%{_datadir}/doc/maildrop/html html

# fix so that these won't conflict with the courier-imap package
mv %{buildroot}%{_bindir}/deliverquota %{buildroot}%{_bindir}/deliverquota-maildrop
mv %{buildroot}%{_bindir}/maildirmake %{buildroot}%{_bindir}/maildirmake-maildrop

mv %{buildroot}%{_mandir}/man1/maildirmake.1 %{buildroot}%{_mandir}/man1/maildirmake-maildrop.1
mv %{buildroot}%{_mandir}/man8/deliverquota.8 %{buildroot}%{_mandir}/man8/deliverquota-maildrop.8

%files
%doc INSTALL NEWS UPGRADE ChangeLog libs/maildir/README* html
%doc INSTALL.html maildroptips.txt my.mailfilter.txt
%doc README.html UPGRADE.html README.DELTAG.html
%doc libs/maildir/README.maildirfilter.html
%doc libs/maildir/README.maildirquota.html
%doc libs/maildir/README.maildirquota.txt
%doc libs/maildir/README.sharedfolders.html
%doc libs/maildir/README.sharedfolders.txt

%attr(0755,root,mail) %dir %{_sysconfdir}/maildrop
%attr(0700,root,mail) %dir %{_sysconfdir}/maildrop/maildroprcs

%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/autoresponsesquota
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildirfilterconfig
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildirshared
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildroprc
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/maildrop/quotawarnmsg

%attr(0755,root,mail) %{_bindir}/lockmail
%attr(0755,root,mail) %{_bindir}/maildrop
%attr(0755,root,root) %{_bindir}/deliverquota-maildrop
%attr(0755,root,root) %{_bindir}/mailbot
%attr(0755,root,root) %{_bindir}/maildirmake-maildrop
%attr(0755,root,root) %{_bindir}/makedatprog
%attr(0755,root,root) %{_bindir}/makemime
%attr(0755,root,root) %{_bindir}/reformime
%attr(0755,root,root) %{_bindir}/subjadd

%attr(0755,root,root) %{_bindir}/makedat
%attr(0755,root,root) %{_bindir}/reformail

%attr(0644,root,root) %{_mandir}/man[1578]/*

%files devel
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_includedir}/*.h
%attr(0755,root,root) %{_libdir}/*.a



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.0.0-3.mga8
+ Revision: 1523104
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 21 2019 wally <wally> 3.0.0-2.mga7
+ Revision: 1369034
- update libidn2 patch to fix build
+ luigiwalser <luigiwalser>
- rebuild for libidn2
+ ovitters <ovitters>
- new version 3.0.0

* Wed Jan 09 2019 wally <wally> 2.9.3-4.mga7
+ Revision: 1353601
- rebuild for new libidn2

* Sun Sep 23 2018 umeabot <umeabot> 2.9.3-3.mga7
+ Revision: 1299437
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 luigiwalser <luigiwalser> 2.9.3-2.mga7
+ Revision: 1237483
- rebuild for gdbm

* Mon Apr 09 2018 kekepower <kekepower> 2.9.3-1.mga7
+ Revision: 1216609
- Update to version 2.9.3

* Sat Oct 14 2017 wally <wally> 2.9.2-2.mga7
+ Revision: 1171883
- improve libidn2 patch

* Sat Oct 14 2017 wally <wally> 2.9.2-1.mga7
+ Revision: 1171861
- new version 2.9.2
- rediff DELTAG patch
- add patch to build with libidn2
- drop str fmt patch
- rebuild for new courier-unicode

* Sun Feb 07 2016 daviddavid <daviddavid> 2.8.3-2.mga6
+ Revision: 942320
- rebuild for courier-unicode-devel, now available on arm
- fix license

* Sat Feb 06 2016 wally <wally> 2.8.3-1.mga6
+ Revision: 942129
- BR courier-unicode-devel
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ ovitters <ovitters>
- new version 2.8.3

* Wed Oct 15 2014 umeabot <umeabot> 2.7.1-3.mga5
+ Revision: 741741
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7.1-2.mga5
+ Revision: 682135
- Mageia 5 Mass Rebuild

* Tue May 20 2014 ovitters <ovitters> 2.7.1-1.mga5
+ Revision: 624408
- new version 2.7.1
- disable authlib, causing problems

* Mon Oct 21 2013 umeabot <umeabot> 2.7.0-2.mga4
+ Revision: 538398
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 oden <oden> 2.7.0-1.mga4
+ Revision: 489526
- 2.7.0
- rediff some patches

* Sat Jan 12 2013 umeabot <umeabot> 2.6.0-3.mga3
+ Revision: 359311
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.6.0-2.mga3
+ Revision: 323807
- rebuild for new pcre

* Fri Oct 12 2012 oden <oden> 2.6.0-1.mga3
+ Revision: 305036
- 2.6.0

* Tue Feb 28 2012 ovitters <ovitters> 2.5.5-3.mga2
+ Revision: 215740
- obsolete no longer needed mysql and openldap subpackages

* Mon Feb 27 2012 ovitters <ovitters> 2.5.5-2.mga2
+ Revision: 215728
- require courier-authdaemon

* Mon Feb 27 2012 ovitters <ovitters> 2.5.5-1.mga2
+ Revision: 215708
- new version 2.5.5
- MAKE SURE TO READ: man maildropfilter

* Mon Dec 05 2011 fwang <fwang> 1.7.0-27.mga2
+ Revision: 176944
- rebuild for new gdbm

* Sun Oct 02 2011 dlucio <dlucio> 1.7.0-26.mga2
+ Revision: 150938
- Wrong package, forgive me

* Sun Oct 02 2011 dlucio <dlucio> 1.7.0-25.mga2
+ Revision: 150933
- Fixing Bug 2655
+ dmorgan <dmorgan>
- imported package maildrop


* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-24mdv2011.0
+ Revision: 645831
- relink against libmysqlclient.so.18

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-23mdv2011.0
+ Revision: 627257
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-22mdv2011.0
+ Revision: 626539
- rebuilt against mysql-5.5.8 libs

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-20mdv2011.0
+ Revision: 612792
- the mass rebuild of 2010.1 packages

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-19mdv2010.1
+ Revision: 507488
- rebuild

* Tue Feb 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-18mdv2010.1
+ Revision: 506732
- P3: security fix for CVE-2010-0301

* Mon Oct 05 2009 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-17mdv2010.0
+ Revision: 453965
- fix build (again)
- fix build
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-15mdv2009.1
+ Revision: 311306
- rebuilt against mysql-5.1.30 libs

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 1.7.0-14mdv2009.0
+ Revision: 251710
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-12mdv2008.1
+ Revision: 137510
- rebuilt against openldap-2.4.7 libs

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-11mdv2008.0
+ Revision: 83803
- rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - Import maildrop



* Mon Sep 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Mon Apr 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-9mdk
- fix so that it really mimics qmail (thanks Markus Ueberall)
- pass -DLDAP_DEPRECATED to CFLAGS

* Tue Feb 21 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-8mdk
- fix a segfault when maildropmysql.cf can not be read (P1, gentoo)

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-7mdk
- rebuilt against openssl-0.9.8a

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-6mdk
- rebuilt against MySQL-5.0.15

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-5mdk
- rebuilt against new openldap-2.3.6 libs

* Mon Feb 07 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.7.0-4mdk
- rebuild for ldap2.2_7

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.7.0-3mdk 
- rebuilt against MySQL-4.1.x system libs

* Mon Oct 25 2004 Michael Scherer <misc@mandrake.org> 1.7.0-2mdk 
- [DIRM]

* Thu Aug 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.7.0-1mdk
- 1.7.0

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.6.4-0.20040608.1mdk
- use a snap from 20040608

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 1.6.3-2mdk 
- rebuild for new gcc

* Fri Oct 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.6.3-1mdk
- 1.6.3

* Tue Oct 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.6.1-2mdk
- added fixes by Brook Humphrey:
  - Fixed permissions

* Sun Sep 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.6.1-1mdk
- 1.6.1
- fix invalid-build-requires
- fix explicit-lib-dependency

* Mon Aug 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.6.0-1mdk
- 1.6.0
- update %%description

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.5.3-2mdk
- added S3
- use ./Maildir as default
- readded into cooker contribs

* Mon Jul 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.5.3-1mdk
- new version (it's been out for a while now...)
- added the %%{_sysconfdir}/maildrop/* stuff
- added S1, S2 & P0
- added the mysql and openldap sub packages

* Thu Mar  6 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.4.0-2rph
- rebuild for 9.1
- include some missing files

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.0-1mdk
- new version (it's been out for a while now...)

* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.3.9-2rph
- rebuild for 9.0

* Fri Jun  7 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.3.9-1rph
- 1.3.9
- merge maildrop-man into main maildrop package
- some spec cleanups
- change Group for maildrop-devel
- BuildRequires: libgdbm-devel
- first rpmhelp.net package

* Wed Mar 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.8-1mdk
- 1.3.8

* Wed Jan 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3.7-1mdk
- 1.3.7

* Wed Nov 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.6-1mdk
- 1.3.6

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.4-1mdk
- updated to 1.3.4

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-2mdk
- rebuild

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- new in contribs
